# NuLink Agent SDK Release Notes

The current version is [0.5.6](https://github.com/NuLink-network/nulink-web-agent-sdk/releases/tag/v0.5.6_4a0b66ca)

## v0.5.6 (2024/02/04):

1. Modify the upload and download process
2. Add an API to retrieve the number of backup nodes
3. Add the empty parameter validation for the API

## v0.5.0 (2023/12/22):

1. add backup node param in approve api.
2. add sendCustomTransaction api.
3. fix login api bug.
4. fixed several known issues.

## v0.2.0 (2023/07/24):

1. Add support for multiple networks.
2. Include batch approval function and corresponding API: batchApprove.
3. Add new APIs: getNetWorkChainId, setNetWorkChainId.
4. Fix login detection errors.
5. Resolve other persistent bugs.

## v0.1.1 (2023/05/15):

1. Introduce functions for connecting, uploading, approving, applying, and downloading files.
2. Resolve configuration issues related to Agent web address.
3. Provide interfaces for obtaining file lists, file details, lists of applied files, and approved files.
4. Include authentication information in backend interface requests.
5. Address known bugs and implemented necessary modification


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nulink.org/resources/release_notes/notes_agent_sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
